/**
 * @(#)RStaticPageImporter.java
 *
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 *
 * RID-X : Common Panel
 *
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/07/17
 */
package jp.co.nri.rid.importer;
import jp.co.nri.rid.error.*;
import	jp.co.nri.rid.xml.*;

/**
 * 静的なページをインポートするインポータ
 */

public class RStaticPageImporter extends RPageImporter{
	public RStaticPageImporter() throws RidException{}
	protected	String			getExtensionKey(){ return "import.page.extensions.static"; }
	protected	elementBooster	extensionNewUnit(elementBooster unit) throws RidException {
		unit.attribute(PAGETYPE ,STATIC);
		return unit;
	}
	protected	String	getPageType(){ return STATIC; }
}
